- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

# ofx_error_msg.hh File Reference

## Detailed Description

OFX error code management functionnality.

Definition in file ofx_error_msg.hh.

Go to the source code of this file.

## Data Structures
struct | ErrorMsg
| An abstraction of an OFX error code sent by an OFX server. More...
## Functions
const ErrorMsg | find_error_msg (int param_code)
| Retreive error code descriptions.
## Variables
const ErrorMsg | error_msgs_list []
| List known error codes.

## Function Documentation

const ErrorMsg find_error_msg | ( | int | param_code | ) |

Retreive error code descriptions.

The find_error_msg function will take an ofx error number, and return an ErrorMsg structure with detailled information about the error, including the error name and long description

Definition at line 128 of file ofx_error_msg.hh.

Referenced by OfxStatusContainer::add_attribute().

## Variable Documentation

const ErrorMsg error_msgs_list[]

List known error codes.

The error_msgs_list table contains all past and present OFX error codes up to the OFX 2.01 specification

Definition at line 34 of file ofx_error_msg.hh.

Referenced by find_error_msg().